﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HalfNetwork_NET;

namespace TestServer_HFNetworkNET
{
    public class HFServer : HalfNetworkNET
    {
        public override bool Run()
        {
            base.Run();
            return true;
        }

        protected override void OnAccept_Client(uint nStreamID, string IP)
        {
            Console.WriteLine("Clietn Accept : StreamID:{0}, IP:{1}", nStreamID, IP); 
        }

        protected override void OnRead_Client(uint nStreamID, byte[] recvdata)
        {
            m_Network.Send(nStreamID, recvdata);
        }

        protected override void OnDisConnect_Client(uint nStreamID)
        {
            Console.WriteLine("Clietn Disconnected : StreamID:{0}", nStreamID);
        }

        protected override void OnAccept_Server(uint nStreamID, string IP)
        {
            Console.WriteLine("Server Accept : StreamID:{0}, IP:{1}", nStreamID, IP);
        }

        protected override void OnRead_Server(uint nStreamID, byte[] recvdata)
        {
            m_Network.Send(nStreamID, recvdata);
        }

        protected override void OnDisConnect_Server(uint nStreamID)
        {
            Console.WriteLine("Server Disconnected : StreamID:{0}", nStreamID);
        }
    }
}
